Skip to content

환경설정 센터 업데이트

put

/preference_center/v1/{preferenceCenterExternalID}

이 엔드포인트를 사용하여 환경설정 센터를 업데이트할 수 있습니다.

필수 조건

이 엔드포인트를 사용하려면 preference_center.update 권한이 있는 API 키가 필요합니다.

사용량 제한

이 엔드포인트는 API 사용량 제한 설명서에 명시된 대로 워크스페이스당 분당 10건의 요청으로 사용량 제한이 적용됩니다.

경로 매개변수

매개변수 필수 데이터 유형 설명
preferenceCenterExternalID 필수 문자열 환경설정 센터의 ID입니다.

요청 본문

1
2
Content-Type: application/json
Authorization: Bearer YOUR-REST-API-KEY
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
{
  "name": "preference_center_name",
  "preference_center_title": "string",
  "preference_center_page_html": "string",
  "confirmation_page_html": "string",
  "options": {
    "unknown macro": {links-tags}
  "options": {
    "meta-viewport-content": "string", (optional) Only the `content` value of the meta tag,
    "links-tags": [
      {
        "rel": "string", (required) One of: "icon", "shortcut icon", or "apple-touch-icon",
        "type": "string", (optional) Valid values: "image/png", "image/svg", "image/gif", "image/x-icon", "image/svg+xml", "mask-icon",
        "sizes": "string", (optional),
        "color": "string", (optional) Use when type="mask-icon",
        "href": "string", (required)
      }
    ]
  }
}

요청 매개변수

매개변수 필수 데이터 유형 설명
preference_center_page_html 필수 문자열 환경설정 센터 페이지의 HTML입니다.
preference_center_title 선택 사항 문자열 환경설정 센터 및 확인 페이지의 제목입니다. 제목을 지정하지 않으면 페이지 제목이 기본값으로 “Preference Center”로 설정됩니다.
confirmation_page_html 필수 문자열 확인 페이지의 HTML입니다.
state 선택 사항 문자열 active 또는 draft를 선택합니다.
options 선택 사항 오브젝트 속성:
meta-viewport-content: 이 값이 있으면 viewport 메타 태그가 content= <value of attribute>와 함께 페이지에 추가됩니다.

link-tags: 페이지의 파비콘을 설정합니다. 설정하면 rel 속성이 포함된 <link> 태그가 페이지에 추가됩니다.

요청 예시

1
2
3
4
5
6
7
8
9
10
11
curl --location --request POST 'https://rest.iad-01.braze.com/preference_center/v1/{preferenceCenterExternalId}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR-API-KEY-HERE' \
--data-raw '{
  "name": "Example",
  "preference_center_title": "Example Preference Center Title",
  "preference_center_page_html": "HTML for preference center here",
  "confirmation_page_html": "HTML here with a message to users here",
  "state": "active"
}
'

응답 예시

1
2
3
4
5
6
{
  "preference_center_api_id": "8efc52aa-935e-42b7-bd6b-98f43bb9b0f1",
  "created_at": "2022-09-22T18:28:07Z",
  "updated_at": "2022-09-22T18:32:07Z",
  "message": "success"
}
New Stuff!